Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

This request is similar to the previous one, but can be used when you already know which account you’d like more information about. It includes optional query parameters, which return additional information in the response. Let’s see which addresses are linked to your account and find out more about the market it operates in.
# Replace {accountId} with the ID of your newly-created account
# Replace {ApiKey} with your API key
curl -i -X GET 'https://api-sandbox.equalsmoney.com/v2/accounts/{accountId}?include=addresses,market' \
  -H 'Authorization: ApiKey {ApiKey}'
If your request is successful, you’ll receive a 200 response.
{
  "id": "F12345",
  "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
  "marketId": "091505ff-55e1-11ed-9dd3-06e3d0fbf8b0",
  "bankEntity": "CITI",
  "type": "Business",
  "status": "active",
  "primaryOwnerPersonaId": "3e0904b6-2d7c-433b-80fd-547261776c63",
  "termsAccepted": true,
  "privacyAccepted": true,
  "salesperson": "Equals Money",
  "accountManager": "Equals Money",
  "solutions": false,
  "createdAt": "2023-10-02T10:29:29.000Z",
  "updatedAt": "2023-10-02T10:31:01.000Z",
  "business": {
    "logo": {
      "url": "",
      "fileName": ""
    },
    "accountId": "F12345",
    "name": "ACME II",
    "countryOfRegistration": "",
    "companyType": "ltd",
    "companiesHouseId": "1234567890",
    "telephoneNumber": "+47481280253",
    "timezone": "Europe/London",
    "registeredName": "ACME II",
    "fourthLine": null,
    "tradingName": "ACME II",
    "website": "",
    "industry": "",
    "createdAt": "2023-10-02T10:29:29.000Z",
    "updatedAt": "2023-10-02T10:29:29.000Z"
  },
  "personal": null,
  "features": {
    "id": "77ef49e9-0bc7-4dbd-aa82-09f241b42bf2",
    "cards": false,
    "physicalCards": "inactive",
    "virtualCards": "inactive",
    "microCorp": false,
    "payments": true,
    "sharedCardProductId": null,
    "individualVirtualCardProductId": null,
    "individualPhysicalCardProductId": null,
    "useBalanceName": false,
    "forwardContracts": false,
    "sourceOfBalance": "boxes",
    "cardsIndividualType": "prepaid",
    "cardsSharedType": "prepaid",
    "statementsFrom": "2023-10-02T10:29:50.000Z",
    "selfApprove": false,
    "apiIgnorePaymentApproval": true,
    "moveMoneyRequests": false,
    "subBalances": false,
    "createdAt": "2023-10-02T10:18:44.000Z",
    "updatedAt": "2023-10-02T10:18:44.000Z"
  },
  "addresses": [
    {
      "id": "43283d24-ac31-4df3-814d-4753ea62b3c1",
      "type": "registered",
      "nickName": "Main address",
      "addressLine1": "1556 S. Michigan Avenue",
      "addressLine2": "Floor 2",
      "addressLine3": "",
      "addressContact": "",
      "city": "Chicago",
      "postcode": "60605",
      "country": ""
    }
  ],
  "market": {
    "id": "091505ff-55e1-11ed-9dd3-06e3d0fbf8b0",
    "name": "UK",
    "bank": null,
    "baseCurrencyId": "f265670c-ff81-444b-9fe2-9c646c082fa2",
    "atmWithdrawalFee": 1.5,
    "createdAt": "2022-10-27T10:20:52.000Z",
    "updatedAt": "2023-08-03T10:16:57.000Z",
    "baseCurrency": {
      "id": "f265670c-ff81-444b-9fe2-9c646c082fa2",
      "code": "GBP",
      "name": "Pound Sterling"
    }
  }
}
For more information about the parameters available, see the API reference.